# Enum GlassRecipe.Kind

java.lang.Object
java.lang.Enum<GlassRecipe.Kind>
com.codename1.ui.plaf.GlassRecipe.Kind

All Implemented Interfaces:
  `Comparable<GlassRecipe.Kind>`

Enclosing class:
  `GlassRecipe`

public static enum GlassRecipe.Kind extends Enum<GlassRecipe.Kind>
The material kind a `GlassRecipe` renders.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIQUID_CHROME`
  Rectangular chrome bar anchored at a screen edge (nav/title bar).
  `LIQUID_PANEL`
  Bare glass panel / button capsule (UIGlassEffect).
  `LIQUID_PILL`
  Floating pill chrome (the iOS 26 tab bar).
  `PLAIN_BLUR`
  Backdrop blur only -- no material colour transform.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlassRecipe.Kind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GlassRecipe.Kind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLAIN_BLUR

    public static final GlassRecipe.Kind PLAIN_BLUR
    Backdrop blur only -- no material colour transform.

  - ### LIQUID_CHROME

    public static final GlassRecipe.Kind LIQUID_CHROME
    Rectangular chrome bar anchored at a screen edge (nav/title bar).

  - ### LIQUID_PILL

    public static final GlassRecipe.Kind LIQUID_PILL
    Floating pill chrome (the iOS 26 tab bar).

  - ### LIQUID_PANEL

    public static final GlassRecipe.Kind LIQUID_PANEL
    Bare glass panel / button capsule (UIGlassEffect).

- ## Method Details

  - ### values

    public static GlassRecipe.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GlassRecipe.Kind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null